module Effective
  class PermalinksController < ApplicationController
    include Effective::CrudController

    def show
      @permalink = Effective::Permalink.find_by! slug: params[:slug]

      authorize! :show, @permalink

      redirect_to redirect_path_for(@permalink), allow_other_host: (@permalink.target == :url)
    end

    private

    def redirect_path_for(permalink)
      permalink.target == :attachment ? attachment_url(permalink.attachment) : permalink.url
    end

    def attachment_url(permalink)
      Rails.application.routes.url_helpers.rails_blob_path(permalink, only_path: true)
    end
  end
end
